function [kon1 ] = detektorT(vsig,zac,kon)
%% nalezení maxima ve vybraném okně
maximum = [];
if abs(zac(1,1) - kon(1,1)) > 100 % zjištění jestli jsou pozice S a Q zvdáleny aspoň o 100 vzorků
[hod poz] = min(vsig(1,(zac(1)+40):(kon(1))-150)); % zjištění pozice minima
[hod1 poz1] = max(vsig(1,(zac(1)+40):(kon(1))-150)); % zjištění pozice maxima
if poz > poz1
    vsig = vsig*(-1); % převrácení signálu v případě že první extrém v okně je maximum 
end
    for ind = 1:size(kon,2)
    [hodnota pozice] = max(vsig(1,(zac(ind))+50:(kon(ind))-150)); % nalezení maxima v okně 
    maximum = [maximum zac(ind)+50+pozice]; % uložení pozice maxima v okně do vektoru 
    end
elseif size(zac,2)  < size(kon,2) % zjištění jestli vstupní vektory (zac, kon) nemají různou délku
[hod poz] = min(vsig(1,(zac(1)+40):(kon(1))-150)); % zjištění pozice minima
[hod1 poz1] = max(vsig(1,(zac(1)+40):(kon(1))-150)); % zjištění pozice maxima
if poz > poz1
    vsig = vsig*(-1); % převrácení signálu v případě že první extrém v okně je maximum
end
    for ind = 1:size(kon,2)-abs(size(zac,2) - size(kon,2))
    [hodnota pozice] = max(vsig(1,(zac(ind))+50:(kon(ind))-150)); % nalezení maxima v okně 
    maximum = [maximum zac(ind)+50+pozice]; % uložení pozice maxima v okně do vektoru 
    end
else
[hod poz] = min(vsig(1,(zac(1)+40):(kon(2))-150)); % zjištění pozice minima
[hod1 poz1] = max(vsig(1,(zac(1)+40):(kon(2))-150)); % zjištění pozice maxima
if poz > poz1
    vsig = vsig*(-1); % převrácení signálu v případě že první extrém v okně je maximum 
end
    for ind = 2:size(kon,2)
    [hodnota pozice] = max(vsig(1,(zac(ind-1))+50:(kon(ind))-150)); % nalezení maxima v okně 
    maximum = [maximum zac(ind-1)+50+pozice]; % uložení pozice maxima v okně do vektoru 
end
end

%% detekce konce T vlny
kon1 = detektorSSS(vsig,maximum,40); % detekce konce T vlny
